Create Reassignment
Creates a reassignment in `pending` status. The response contains `movedRelations` — a preview of all users and sub-IBs that will be moved upon confirmation. **Step 1 of the call flow.** The reassignment is created with status `awaiting_confirmation`. After reviewing `movedRelations`, proceed with confirm or cancel.
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reassignments" \ -H "Content-Type: application/json" \ -d '{ "type": "children", "sourceUserId": "1bf314a4-a99f-41f9-a59f-c63a44520e8d", "targetUserId": "73727401-c2dc-4b4b-ad9b-350075d6b049" }'{ "reassignmentId": "08d0ac30-1947-4928-b473-a47176b8298a", "type": "children", "status": "awaiting_confirmation", "sourceUserId": "1bf314a4-a99f-41f9-a59f-c63a44520e8d", "targetUserId": "73727401-c2dc-4b4b-ad9b-350075d6b049", "subjectUserId": "296d2d93-03fc-4d0e-b7e7-4f7600664125", "sourceUser": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "email": "user@example.com", "name": "string" }, "targetUser": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "email": "user@example.com", "name": "string" }, "subjectUser": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "email": "user@example.com", "name": "string" }, "movedRelations": [ { "childUserId": "cd57b2e7-00f3-4b08-b470-836b96a66e63", "name": "string", "email": "user@example.com", "isSubIb": true, "profileUuid": "ce511585-bff3-465b-a43c-c2b497cdbb2e", "directClients": 0, "oldRelationId": "97ed6d66-fdf6-4b9a-994d-d005b16c908b", "newRelationId": "345ff568-98c2-43f6-9ad3-6c5f6966edef" } ], "promotionTargetUserId": "832e0662-d289-4c73-94a7-c66e949f1428", "errorMessage": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z"}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}